Package com.collabnet.ce.soap60.webservices.news

# Interface INewsAppSoap

All Known Implementing Classes:
  `NewsAppSoap`, `NewsAppSoapMockStub`, `NewsAppSoapStub`

public interface INewsAppSoap

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NewsPostSoapDO`
  `createNewsPost(String sessionId, String projectId, String title, String body)`
  Posts a news item to the project.
  `void`
  `deleteNewsPost(String sessionId, String postId)`
  Deletes a news post.
  `void`
  `editNewsPost(String sessionId, String postId, String title, String body)`
  Modifies a news post.
  `NewsPostSoapList`
  `findNews(String sessionId, String queryString, String projectId, boolean searchAttachments)`
  Finds a list of news posts matching a search string.
  `NewsPostSoapList`
  `getAllNewsPostList(String sessionId)`
  Returns news for all user projects.
  `NewsPostSoapList`
  `getNewsPostList(String sessionId, String projectId)`
  Returns project news.

- ## Method Details

  - ### getNewsPostList

    NewsPostSoapList getNewsPostList(String sessionId, String projectId) throws RemoteException
    Returns project news.
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of news posts associated with this project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    Since:
      4.1

  - ### getAllNewsPostList

    NewsPostSoapList getAllNewsPostList(String sessionId) throws RemoteException
    Returns news for all user projects.
    Parameters:
      `sessionId` - User session id.
    Returns:
      List of all news posts associated with user's projects.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    Since:
      4.1

  - ### createNewsPost

    NewsPostSoapDO createNewsPost(String sessionId, String projectId, String title, String body) throws RemoteException
    Posts a news item to the project.
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `title` - News post title.
      `body` - News post body.
    Returns:
      Newly created new item data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    Since:
      4.1

  - ### editNewsPost

    void editNewsPost(String sessionId, String postId, String title, String body) throws RemoteException
    Modifies a news post.
    Parameters:
      `sessionId` - User session id.
      `postId` - Post id.
      `title` - News post title.
      `body` - News post body.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified post id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    Since:
      6.0

  - ### deleteNewsPost

    void deleteNewsPost(String sessionId, String postId) throws RemoteException
    Deletes a news post.
    Parameters:
      `sessionId` - User session id.
      `postId` - News post id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    Since:
      4.1

  - ### findNews

    NewsPostSoapList findNews(String sessionId, String queryString, String projectId, boolean searchAttachments) throws RemoteException
    Finds a list of news posts matching a search string.
    Parameters:
      `sessionId` - User session id.
      `queryString` - Query string.
      `projectId` - The project in which to find news posts. (if null, search all projects)
      `searchAttachments` - Whether to search attachments.
    Returns:
      List of posts matching search criteria.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    Since:
      4.1